package com.logicbig.example;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

@Component
public class ExampleClient {

    @Autowired
    private EmployeeRepository repo;

    public void findEmployees() {
        System.out.println(" -- finding all employees --");
        repo.findAll().forEach(System.out::println);
    }

    @Transactional
    public void saveEmployees() {
        repo.save(Employee.create("Mike", "Sale", 1000));
        repo.save(Employee.create("Diana", "Admin", 3000));
        repo.save(Employee.create("Diana", "IT", 3200));
    }
}