package com.logicbig.example;

import org.springframework.context.annotation.AnnotationConfigApplicationContext;
import javax.persistence.EntityManagerFactory;

public class ExampleMain {

    public static void main(String[] args) {
        AnnotationConfigApplicationContext context =
                new AnnotationConfigApplicationContext(AppConfig.class);
        ExampleClient exampleClient = context.getBean(ExampleClient.class);
        try {
            exampleClient.saveEmployees();
        } catch (Exception e) {
            System.err.println(e);
        }
        exampleClient.findEmployees();
        EntityManagerFactory emf = context.getBean(EntityManagerFactory.class);
        emf.close();
    }
}